package com.fjhx.apply.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.apply.ApplyPurchase;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 申购单 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-04
 */
public interface ApplyPurchaseService extends BaseService<ApplyPurchase> {

    Map<String, Map<String, Object>> technologyTypeStatistics(Map<String, String> condition);

    List<Map<String, Object>> numStatistics(Map<String, String> condition);

    Map<String, Object> totalNumStatistics(Map<String, String> condition);

    Page<Map<String, Object>> getPage(Map<String, String> condition);

}
